Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.DirectCdnStreamingMediaOptions Class Reference

The media setting options for the host. More...

## Public Member Functions
Boolean | isPublishCameraTrack ()
Boolean | isPublishMicrophoneTrack ()
Boolean | isPublishCustomAudioTrack ()
Boolean | isPublishCustomVideoTrack ()
Boolean | isPublishMediaPlayerAudioTrack ()
Integer | getPublishMediaPlayerId ()
Integer | getCustomVideoTrackId ()
String | toString ()

## Public Attributes
Boolean | publishCameraTrack
Boolean | publishMicrophoneTrack
Boolean | publishCustomAudioTrack
Boolean | publishCustomVideoTrack
Boolean | publishMediaPlayerAudioTrack
Integer | publishMediaPlayerId
Integer | customVideoTrackId

## Detailed Description

The media setting options for the host.

Deprecated:
  v4.6.0.

## Member Data Documentation

## ◆ publishCameraTrack

Boolean io.agora.rtc2.DirectCdnStreamingMediaOptions.publishCameraTrack

Sets whether to publish the video captured by the camera:

- `true`: Publish the video captured by the camera.
- `false`: (Default) Do not publish the video captured by the camera.

## ◆ publishMicrophoneTrack

Boolean io.agora.rtc2.DirectCdnStreamingMediaOptions.publishMicrophoneTrack

Sets whether to publish the audio captured by the microphone:

- `true`: Publish the audio captured by the microphone.
- `false`: (Default) Do not publish the audio captured by the microphone.

## ◆ publishCustomAudioTrack

Boolean io.agora.rtc2.DirectCdnStreamingMediaOptions.publishCustomAudioTrack

Sets whether to publish the captured audio from a custom source:

- `true`: Publish the captured audio from a custom source.
- `false`: (Default) Do not publish the captured audio from the custom source.

## ◆ publishCustomVideoTrack

Boolean io.agora.rtc2.DirectCdnStreamingMediaOptions.publishCustomVideoTrack

Sets whether to publish the captured video from a custom source:

- `true`: Publish the captured video from a custom source.
- `false`: (Default) Do not publish the captured video from the custom source.

## ◆ publishMediaPlayerAudioTrack

Boolean io.agora.rtc2.DirectCdnStreamingMediaOptions.publishMediaPlayerAudioTrack

Determines whether to publish the audio track of media player source.

- true: Publish the audio track of media player source.
- false: (Default) Do not publish the audio track of media player source.

## ◆ publishMediaPlayerId

Integer io.agora.rtc2.DirectCdnStreamingMediaOptions.publishMediaPlayerId

Determines which media player source should be published. This parameter get from function getMediaPlayerId() of AgoraMediaPlayer.

## ◆ customVideoTrackId

Integer io.agora.rtc2.DirectCdnStreamingMediaOptions.customVideoTrackId

The video track ID returned by calling the `createCustomVideoTrack` method. The default value is 0.